
PROGRAMS = unsigned_addition unsigned_division unsigned_multiplication unsigned_substraction

build: $(PROGRAMS)

dumps: unsigned_addition.dump unsigned_division.dump unsigned_multiplication.dump unsigned_substraction.dump

tests: unsigned_addition.guac unsigned_division.guac unsigned_multiplication.guac unsigned_substraction.guac

clean:
	$(RM) unsigned_addition unsigned_addition.o unsigned_division unsigned_division.o unsigned_multiplication unsigned_multiplication.o unsigned_substraction unsigned_substraction.o

TOPDIR = ../..
include $(TOPDIR)/Makefile.tests

$(PROGRAMS): % : $(USERLIB)/sys.o $(USERLIB)/libnachos.o %.o